---
title: NonDocumentTypeChildNode.previousElementSibling
slug: Web/API/NonDocumentTypeChildNode/previousElementSibling
tags:
  - API
  - DOM
  - NonDocumentTypeChildNode
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>NonDocumentTypeChildNode.previousElementSibling</strong></code> read-only property returns the {{domxref("Element")}} immediately prior to the specified one in its parent's children list, or <code>null</code> if the specified element is the first one in the list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>prevNode</var> = <em>elementNodeReference</em>.previousElementSibling;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;div id="div-01"&gt;Here is div-01&lt;/div&gt;
&lt;div id="div-02"&gt;Here is div-02&lt;/div&gt;
&lt;li&gt;This is a list item&lt;/li&gt;
&lt;li&gt;This is another list item&lt;/li&gt;
&lt;div id="div-03"&gt;Here is div-03&lt;/div&gt;

&lt;script&gt;
  let el = document.getElementById('div-03').previousElementSibling;
  document.write('&lt;p&gt;Siblings of div-03&lt;/p&gt;&lt;ol&gt;');
  while (el) {
    document.write('&lt;li&gt;' + el.nodeName + '&lt;/li&gt;');
    el = el.previousElementSibling;
  }
  document.write('&lt;/ol&gt;');
&lt;/script&gt;
</pre>

<p>This example outputs the following into the page when it loads:</p>

<pre>Siblings of div-03

   1. LI
   2. LI
   3. DIV
   4. DIV
</pre>

<h2 id="Polyfills">Polyfills</h2>

<h3 id="Polyfill_for_Internet_Explorer_8">Polyfill for Internet Explorer 8</h3>

<p>This property is unsupported prior to IE9, so the following snippet can be used to add support to IE8:</p>

<pre class="brush: js">// Source: https://github.com/Alhadis/Snippets/blob/master/js/polyfills/IE8-child-elements.js
if(!("previousElementSibling" in document.documentElement)){
  Object.defineProperty(Element.prototype, "previousElementSibling", {
    get: function(){
      var e = this.previousSibling;
      while(e &amp;&amp; 1 !== e.nodeType)
        e = e.previousSibling;
      return e;
    }
  });
}</pre>

<h3 id="Polyfill_for_Internet_Explorer_9_and_Safari">Polyfill for Internet Explorer 9+ and Safari</h3>

<pre class="brush: js">// Source: https://github.com/jserz/js_piece/blob/master/DOM/NonDocumentTypeChildNode/previousElementSibling/previousElementSibling.md
(function (arr) {
  arr.forEach(function (item) {
    if (item.hasOwnProperty('previousElementSibling')) {
      return;
    }
    Object.defineProperty(item, 'previousElementSibling', {
      configurable: true,
      enumerable: true,
      get: function () {
        let el = this;
        while (el = el.previousSibling) {
          if (el.nodeType === 1) {
            return el;
          }
        }
        return null;
      },
      set: undefined
    });
  });
})([Element.prototype, CharacterData.prototype]);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-nondocumenttypechildnode-previouselementsibling', 'NonDocumentTypeChildNode.previousElementSibling')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Splitted the <code>ElementTraversal</code> interface in {{domxref("ChildNode")}}, {{domxref("ParentNode")}}, and {{domxref("NonDocumentTypeChildNode")}}. This method is now defined on the former.<br>
    The {{domxref("Element")}} and {{domxref("CharacterData")}} interfaces implemented the new interface.</td>
  </tr>
  <tr>
   <td>{{SpecName('Element Traversal', '#attribute-previousElementSibling', 'ElementTraversal.previousElementSibling')}}</td>
   <td>{{Spec2('Element Traversal')}}</td>
   <td>Added its initial definition to the <code>ElementTraversal</code> pure interface and use it on {{domxref("Element")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.NonDocumentTypeChildNode.previousElementSibling")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("NonDocumentTypeChildNode")}} pure interface.</li>
 <li>
  <div class="syntaxbox">Object types implementing this pure interface: {{domxref("CharacterData")}}, and {{domxref("Element")}}.</div>
 </li>
</ul>
